<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Acl</strong>
        </h3>
      </div>

      <div class="ibox-content">
        <form (ngSubmit)="onSubmit(f)" autocomplete="off" #f="ngForm" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Acl Name<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="menu_name" placeholder=" Acl name" #menu_name="ngModel" [(ngModel)]="acl.menu_name" class="form-control"
                required>
                <div class="error-msg" *ngIf="menu_name.invalid && (menu_name.dirty || menu_name.touched || f.submitted)" >
                  <div *ngIf="menu_name.errors.required">name is required.</div>
                </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Site Url<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="site_url" placeholder="Site Url" #site_url="ngModel" [(ngModel)]="acl.site_url" class="form-control"
                required>
                <div class="error-msg" *ngIf="site_url.invalid && (site_url.dirty || site_url.touched || f.submitted)" >
                  <div *ngIf="site_url.errors.required">Site Url is required.</div>
                </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Level<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="level" placeholder="Level" #level="ngModel" [(ngModel)]="acl.level" class="form-control"
                required maxlength="20">
                <div class="error-msg" *ngIf="level.invalid && (level.dirty || level.touched || f.submitted)" >
                  <div *ngIf="level.errors.required">Level is required.</div>
                </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Main Menu<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="is_main_menu" placeholder="Main Menu?" #is_main_menu="ngModel" [(ngModel)]="acl.is_main_menu" class="form-control"
                 maxlength="20">
                <div class="error-msg" *ngIf="is_main_menu.invalid && (is_main_menu.dirty || is_main_menu.touched || f.submitted)" >
                  <div *ngIf="is_main_menu.errors.required">Main menu is required.</div>
                </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Display Name<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="title" placeholder="Display Name" #title="ngModel" [(ngModel)]="acl.title" class="form-control"
               >
                <div class="error-msg" *ngIf="title.invalid && (title.dirty || title.touched || f.submitted)" >
                  <div *ngIf="title.errors.required">Display Name is required.</div>
                </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Parrent id<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" name="parent_id" placeholder="Display Name" #parent_id="ngModel" [(ngModel)]="acl.parent_id" class="form-control"
              >
                <div class="error-msg" *ngIf="parent_id.invalid && (parent_id.dirty || parent_id.touched || f.submitted)" >
                  <div *ngIf="parent_id.errors.required">Parrent id is required.</div>
                </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save 
              </button>
              <button class="btn btn-white" type="button">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>